import torch

from models.line_detect.line_net import linenet_resnet50_fpn, LineNet, linenet_resnet18_fpn
from models.line_detect.trainer import Trainer

device = torch.device('cuda' if torch.cuda.is_available() else 'cpu')
if __name__ == '__main__':

    # model = LineNet('line_net.yaml')
    model=linenet_resnet50_fpn()
    #model=linenet_resnet18_fpn()
    # trainer = Trainer()
    # trainer.train_cfg(model,cfg='./train.yaml')
    model.train_by_cfg(cfg='train.yaml')
